Lucene search

K
osvGoogleOSV:USN-4972-1
HistoryJun 01, 2021 - 11:48 a.m.

postgresql-10, postgresql-12, postgresql-13 vulnerabilities

2021-06-0111:48:38
Google
osv.dev
6

AI Score

7.3

Confidence

Low

EPSS

0.007

Percentile

80.4%

Tom Lane discovered that PostgreSQL incorrect handled certain array
subscripting calculations. An authenticated attacker could possibly use
this issue to overwrite server memory and escalate privileges.
(CVE-2021-32027)

Andres Freund discovered that PostgreSQL incorrect handled certain
INSERT … ON CONFLICT … DO UPDATE commands. A remote attacker could
possibly use this issue to read server memory and obtain sensitive
information. (CVE-2021-32028)

Tom Lane discovered that PostgreSQL incorrect handled certain UPDATE …
RETURNING commands. A remote attacker could possibly use this issue to read
server memory and obtain sensitive information. This issue only affected
Ubuntu 20.04 LTS, Ubuntu 20.10, and Ubuntu 21.04. (CVE-2021-32029)